View Issue Details

IDProjectCategoryView StatusLast Update
0001542SOGoBackend Generalpublic2011-12-30 10:03
Reporterdani Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Fixed in Version1.3.12 
Summary0001542: memcached over unix socket
Description

It would be great to be able to connect to memcached over a UNIX socket, as SOGo and memcached often run on the same host, it would provide a better security (as we can easily restrict who can access memcached unix socket with standard permissions). I attach a patch, I've not tested it, but I think something like this should do the trick

TagsNo tags attached.

Activities

2011-12-13 10:57

 

SOGo-memcached_unix.patch (745 bytes)   
diff -Nur -x '*.orig' -x '*.rej' SOGo-1.3.8b/SoObjects/SOGo/SOGoCache.m mezzanine_patched_SOGo-1.3.8b/SoObjects/SOGo/SOGoCache.m
--- SOGo-1.3.8b/SoObjects/SOGo/SOGoCache.m      2011-07-26 18:29:10.000000000 +0200
+++ mezzanine_patched_SOGo-1.3.8b/SoObjects/SOGo/SOGoCache.m    2011-09-01 13:06:29.000000000 +0200
@@ -127,7 +127,10 @@
                 servers
                  = memcached_servers_parse([memcachedServerName UTF8String]);

-              memcached_server_push(handle, servers);
+              if ([memcachedServerName hasPrefix:@"/"])
+                  memcached_server_add_unix_socket(handle, memcachedServerName);
+              else
+                  memcached_server_push(handle, servers);
             }
         }
     }
SOGo-memcached_unix.patch (745 bytes)   
ludovic

ludovic

2011-12-30 10:03

administrator   ~0003220

http://mtn.inverse.ca/revision/diff/3c7106a946b0d9786d46c4f0c0a7e5bc1e5f8684/with/57c10d31c6098096fecd1a8325950d007a357271

Issue History

Date Modified Username Field Change
2011-12-13 10:57 dani New Issue
2011-12-13 10:57 dani File Added: SOGo-memcached_unix.patch
2011-12-30 10:03 ludovic Note Added: 0003220
2011-12-30 10:03 ludovic Status new => resolved
2011-12-30 10:03 ludovic Fixed in Version => 1.3.12
2011-12-30 10:03 ludovic Resolution open => fixed
2011-12-30 10:03 ludovic Assigned To => ludovic
2011-12-30 10:03 ludovic Status resolved => closed